<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Informe de Crédito</title>

  <style>
    body {
        font-family: Arial, sans-serif;
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }
    header, .content, footer {
        padding: 20px;
    }
    .grid-container {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
        gap: 20px;
        padding: 20px;
    }
    .container {
      max-width: 1200px;
      margin: auto;
      padding: 20px;
    }
    .gauge-container {
      width: 100%;
      max-width: 300px;
      margin: 20px auto;
    }    
    .gauge {
        width: 100px;
        height: 50px;
        overflow: hidden;
        position: relative;
        background: conic-gradient(#eee 3/4turn, #4caf50 3/4turn);
        border-radius: 50%;
    }
    .information, .grid {
      background-color: #fff;
      padding: 20px;
      margin-top: 20px;
      border-radius: 5px;
      box-shadow: 0 5px 15px rgba(0,0,0,0.1);
    }
    .gauge__fill {
        position: absolute;
        top: 0; right: 0; bottom: 0; left: 0;
        background: #fff;
        transform-origin: center;
        border-radius: 50%;
    }
    .gauge__cover {
        position: absolute;
        top: 30%;
        left: 50%;
        transform: translateX(-50%);
        font-size: 18px;
        color: #000;
    }
    @media (max-width: 600px) {
        .grid-container {
            grid-template-columns: 1fr;
        }
    }
</style>


</head>
<body>
  <header>
    <div class="gauge">
        <div class="gauge__fill"></div>
        <div class="gauge__cover">
          480
        </div>
    </div>
  </header>


  <div class="container">

    <div class="information" id="basicInfo">
        <!-- Información básica del sujeto se llenará aquí -->
    </div>
    <div class="grid" id="detailedInfo">
        <!-- Información detallada en formato grilla se llenará aquí -->
    </div>
  </div>

    
    <script src="script.js"></script>
</body>
</html>
